Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglet.event
Class CloneEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--com.ibm.aglet.event.AgletEvent
                  |
                  +--com.ibm.aglet.event.CloneEvent

All Implemented Interfaces:
  java.io.Serializable

public class CloneEvent
extends AgletEvent

The clon event occurs when the cloning of an aglet is attempted.

Version:
  1.00 $Date: 2001/07/28 06:34:10 $
Author:
  Mitsuru Oshima
See Also:
  Serialized Form

Field Summary
`static int` | `AGLET_CLONE_FIRST` Marks the first integer id for the range of clone event ids.
`static int` | `AGLET_CLONE_LAST` Marks the last integer id for the range of clone event ids.
`static int` | `CLONE` The CLONE event type is delivered when the clone of the aglet is created.
`static int` | `CLONED` The CLONED event type is delivered after the cloning of the aglet finished.
`static int` | `CLONING` The CLONING event type is delivered when the aglet is attempted to clone.

Fields inherited from class com.ibm.aglet.event.AgletEvent
`id`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`CloneEvent(int id, AgletProxy aglet)` Constructs the clone event object with the specified id and aglet

Method Summary
`AgletProxy` | `getAgletProxy()` Returns the aglet proxy which is the source of the event.
`java.lang.String` | `toString()`

Methods inherited from class com.ibm.aglet.event.AgletEvent
`getID`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AGLET_CLONE_FIRST

    public static final int AGLET_CLONE_FIRST

  Marks the first integer id for the range of clone event ids.

### AGLET_CLONE_LAST

    public static final int AGLET_CLONE_LAST

  Marks the last integer id for the range of clone event ids.

### CLONING

    public static final int CLONING

  The CLONING event type is delivered when the aglet is attempted to clone.

### CLONE

    public static final int CLONE

  The CLONE event type is delivered when the clone of the aglet is created. Note that this event is delivered only to the cloned object but not to the original.

### CLONED

    public static final int CLONED

  The CLONED event type is delivered after the cloning of the aglet finished. Note that this event is delivered only to the original aglet.

Constructor Detail

### CloneEvent

    public CloneEvent(int id,
                      AgletProxy aglet)

  Constructs the clone event object with the specified id and aglet

Method Detail

### getAgletProxy

    public AgletProxy getAgletProxy()

  Returns the aglet proxy which is the source of the event.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.EventObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD